View Issue Details

IDProjectCategoryView StatusLast Update
0002314Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterPD9FER 
Assigned ToPD9FER 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002314: IC-7851 Mode does not changes on cluster spot selection
DescriptionWhen selecting a station that has been spotted on the cluster, the mode does not change to the corresponding mode
used by the station spotted.. I have been into the cluster settings and the check box is ticked "change mode on dx spot"
Steps To ReproduceN/A
Additional InformationTicket #500555
TagsIC-7851, ICOM
ModuleLogbook
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0002710 closedK7ZCZ No Buttons are showing in Rig Control when connected to an IC-7851 

Activities

WA9PIE

2018-07-25 12:53

administrator   ~0005812

Updating these to Feedback, as all have questions or need re-tested.

PD9FER

2018-07-25 13:24

viewer   ~0005820

I don't own such a radio.
So all feedback should come from the customer.
I will ask him after the next release and see if the problem still exists

PD9FER

2018-08-30 07:37

viewer   ~0006024

Customer comment:

I have downloaded the latest update 6.4.0.876 , but sadly I am still experiencing the same

Issues. When using the setup ‘7851’ (and my com settings) the radio malfunctions when using the cluster to switch.

When selecting a station on the cluster the following happens..

(USING RADIO SELECTION 7851)

If the station is working ‘Split’, HRD sends no command (or incorrect command which is ignored by the radio). If ‘split function is enabled already, the radio will continue to operate in ‘split mode’. Also at certain times the vfo on the radio changes for no reason within 1 second of selection (this can be from a few kHz to several KHz). Re entering the same command switches the radio back to the selected frequency, then one second later it changes again to the different frequency. (Note:- this will be the same frequency jump every time, not random).

(USING RADIO SELECTION 7800-V2)

The radio switches correctly in mode, split is activated correctly, and when a different station is selected from the cluster, if split is not required, it is de-selected correctly.

There are no issues with the Radio jumping or changing frequency.

I have tried this several times on both radio settings and the 7800-V2 does not exhibit these issues.

PD9FER

2018-08-30 07:45

viewer   ~0006025

Customer also posted some videos in the Support ticket 500555

PD9FER

2018-09-17 03:11

viewer   ~0006211

New report from Ticket# 575493
At my main RIGCONTROL screen I only have the bands but no BUTTONS & SLIDERS.
Also the Sliders button in the above TOOLBAR is greyed out and can not be clicked on

K7ZCZ

2018-11-01 23:26

manager   ~0006362

This issue is fixed with the related 2710. The radio was internally misidentified, so no code that switched on the radio name/model would work correctly ... including the DX Cluster split code.

Resolved with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4402

WA9PIE

2018-11-10 19:38

administrator   ~0006421

Last edited: 2018-11-10 20:02

View 2 revisions

This may be fixed. I need Ferry to get with his customer to figure that out. Meanwhile, I'm not holding the 901 release for its validation. If we validate it after-the-fact, I'll update this record.

PD9FER

2018-12-10 06:55

viewer   ~0006555

Contacted the reporters.
Will inform you when they get back to me.

PD9FER

2018-12-10 10:35

viewer   ~0006563

Fixed in 6.5.0.132 as per customer

PD9FER

2018-12-13 03:57

viewer   ~0006596

Comment from another customer:

Set the radio selection to Icom 7851 and made some quick tests..
The radio is indeed following the cluster information for the main, and it is following the comment string of any split frequency, however...
the sub receiver is not changing mode to match the mode of the main .. I.e. the Sub will remain in USB even if a CW spot is selected on the cluster.

I have just self spotted on 7.110Mhz LSB with comment string ‘UP 10’
The radio has indeed followed this by switching on the sub receiver and it has set
The sub to 7.120Mhz, but the mode is still USB on the sub ?.

WA9PIE

2018-12-20 23:58

administrator   ~0006755

Ferry - is this fixed or not?

PD9FER

2018-12-22 01:14

viewer   ~0006796

Customer reports it working in BETA 6.5.0.132

PD9FER

2019-01-02 07:57

viewer   ~0006855

Second customer also confirms it fixed

Issue History

Date Modified Username Field Change
2018-01-23 03:36 PD9FER New Issue
2018-03-08 18:51 K7ZCZ Assigned To => K7ZCZ
2018-03-08 18:51 K7ZCZ Status new => assigned
2018-06-23 18:23 WA9PIE Project 1 - Backlog => Issues Needing Retest
2018-06-23 18:23 WA9PIE Category Maintenance => General
2018-06-23 23:13 WA9PIE Category General => Bug
2018-07-25 12:53 WA9PIE Status assigned => feedback
2018-07-25 12:53 WA9PIE Note Added: 0005812
2018-07-25 13:24 PD9FER Note Added: 0005820
2018-07-25 13:24 PD9FER Status feedback => assigned
2018-08-30 07:37 PD9FER Note Added: 0006024
2018-08-30 07:45 PD9FER Note Added: 0006025
2018-09-17 03:11 PD9FER Note Added: 0006211
2018-11-01 23:22 K7ZCZ Relationship added related to 0002710
2018-11-01 23:26 K7ZCZ Status assigned => resolved
2018-11-01 23:26 K7ZCZ Resolution open => fixed
2018-11-01 23:26 K7ZCZ Testing => Not Started
2018-11-01 23:26 K7ZCZ Note Added: 0006362
2018-11-10 19:37 WA9PIE Project Issues Needing Retest => 3 - Current Dev List
2018-11-10 19:38 WA9PIE Assigned To K7ZCZ => PD9FER
2018-11-10 19:38 WA9PIE Note Added: 0006421
2018-11-10 20:02 WA9PIE Note Edited: 0006421 View Revisions
2018-12-09 15:48 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-10 06:55 PD9FER Note Added: 0006555
2018-12-10 10:35 PD9FER Note Added: 0006563
2018-12-13 03:57 PD9FER Note Added: 0006596
2018-12-20 23:58 WA9PIE Note Added: 0006755
2018-12-21 01:20 WA9PIE Tag Attached: IC-7851
2018-12-21 01:20 WA9PIE Tag Attached: ICOM
2018-12-22 01:14 PD9FER Note Added: 0006796
2019-01-02 07:57 PD9FER Note Added: 0006855
2019-01-03 15:38 WA9PIE Status resolved => closed
2019-01-03 15:38 WA9PIE Testing Not Started => Beta Successful
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe